### Name: makeIC-methods
### Title: Generic Function for making ICs consistent at a possibly
###   different model
### Aliases: makeIC makeIC-methods makeIC,IC,missing-method
###   makeIC,IC,L2ParamFamily-method
### Keywords: robust

### ** Examples

## default IC
IC1 <- new("IC")

## L2-differentiable parametric family
B <- BinomFamily(13, 0.3)

## check IC properties
checkIC(IC1, B)

## make IC
IC2 <- makeIC(IC1, B)

## check IC properties
checkIC(IC2)

## slot modifyIC is filled in case of IC2
IC3 <- modifyIC(IC2)(BinomFamily(13, 0.2), IC2)
checkIC(IC3)
## identical to
checkIC(IC3, BinomFamily(13, 0.2))



